Subject: Re: How to build the zImage.prep was Re: Bug#345424 acknowledged by developer (Bug#345424: fixed in linux-2.6 2.6.15-1)

From: Grant Likely <[email-masked]>
Date: Thu, 05 Jan 2006 09:04:48 -0700

Sebastian Heutling wrote:
> Hi Sven,
> 
> Before trying to build a kernel myself I tried the debian linux binary
> image. An image for powerpc is not there yet so I used rc7. I netbooted
> "/boot/vmlinuz-2.6.15-rc7-powerpc" and the result was that I got a lot
> of output saying that there is something wrong. I assume the output was
> from the firmware because the kernel usually doesn't report an endless
> list of errors saying something about "stack exception" every now and
> then and mostly printing zeros followed by a new line character.
Have you tried 2.6.14?  I'm having a similar issue with PReP images
using QEMU.  2.6.14 works, but 2.6.15 is busted.  It *might* be the same
issue.

http://ozlabs.org/pipermail/linuxppc-dev/2005-December/020782.html

I was able to use git-bisect to narrow it down to 20 or so changes, but
I didn't get any farther.

Cheers,
g.

-- 
Grant Likely, B.Sc. P.Eng.
Secret Lab Technologies Ltd.
(403) 663-0761